[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCommonDialog.Execute

A public method causing the dialog box to appear, offer the relevant choices to the user and act upon the choice

## Declaration

Source position: dialogs.pp line 85

`public function TCommonDialog.Execute: Boolean; virtual;`

## Function result

Returns True if the user pressed the OK button

## Description

Use the execute method of a dialog to show it
and then check the result to see if the user made a valid choice and pressed the OK button.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.